{
  imports = [
    ./hardware-configuration.nix
    ../../modules/mail.nix
    ../../roles
    ../../roles/vm.nix
    ../../modules/vmNetwork.nix
  ];

  # System configuration here

  services.mathebau-mail = {
    enable = true;
    fqdn = "mail.mathebau.de";
    domain = "mathebau.de";
    siteOwner = "root@mathebau.de";
  };

  networking.hostName = "kaalut";
  vmNetwork.ipv4 = "192.168.0.17";
  system.stateVersion = "24.11";

  sops.secrets = {
    allowlistPass = {
      sopsFile = ./allowlistPass.yaml;
      owner = "stalwart-mail";
      group = "stalwart-mail";
      mode = "0400";
    };
    backupKey = {
      sopsFile = ./backupKey.yaml;
      owner = "stalwart-mail";
      group = "stalwart-mail";
      mode = "0400";
    };
  };
}
